<?php
namespace app\cms\behavior;

use think\Controller;

class Hook extends Controller
{
    //后台统计
    public function adminIndexCount(&$datas)
    {
        array_push($datas,[
            'id'    => 'view',
            'title' => 'cms/count/view',
            'ico'   => 'fa-adjust',
            'color' => 'text-info',
            'count' => model('cms/Count','loglic')->views(),
        ]);
        array_push($datas,[
            'id'    => 'detail',
            'title' => 'cms/count/detail',
            'ico'   => 'fa-file-text',
            'color' => 'text-primary',
            'count' => model('cms/Count','loglic')->detail(),
        ]);
        array_push($datas,[
            'id'    => 'tag',
            'title' => 'cms/count/tag',
            'ico'   => 'fa-tags',
            'color' => 'text-warning',
            'count' => model('cms/Count','loglic')->tag(),
        ]);
        array_push($datas,[
            'id'    => 'category',
            'title' => 'cms/count/category',
            'ico'   => 'fa-folder-o',
            'color' => 'text-danger',
            'count' => model('cms/Count','loglic')->category(),
        ]);
    }
    
    //前台权限扩展
    public function adminCapsFront(&$caps)
    {
        $caps = array_merge($caps,[
            'cms/data/index',
        ]);
    }
    
    //后台权限扩展
    public function adminCapsBack(&$caps)
    {
        $caps = array_merge($caps,[
            'cms/admin/index',
            'cms/admin/save',
            'cms/admin/delete',
            'cms/collect/index',
            'cms/collect/save',
            'cms/collect/delete',
            'cms/collect/write',
        ]);
    }
}